Subject: [rohc] Comments on draft-ietf-rohc-sigcomp-04.txt

From: "Hans Hannu (EPL)" <[email-masked]>
Date: Thu, 21 Feb 2002 08:37:13 +0100

Hi,

I've some comments regarding draft-ietf-rohc-sigcomp-04.txt

1) Figure 1, page 7

The arrow between the state handler and Application may cause some confusion, as it is the dispatcher that handles the communication with the application. I think we should update the figure accordingly, i.e. draw the arrow through the dispatcher.

2) Section 3.2, page 9, minimum_compression_ratio

"Note that this parameter can be less than 1"

With my limited knowledge about different data types this would be a floating point value, then it might be a problem with the next thing: "Any value other than 0". 

I think we need to specify data types for SigComp parameters.

Same place, "standalone SigComp message" needs to be defined in the terminology; e.g.
"Standalone SigComp message"
- A SigComp message that does not include any compressed application message.

3)  Section 3.2, page 11, total_cycles
I think we should change this to "maximum_cycles"

4) Section 4.1.1., page 13, 2nd and 3rd paragraph 

Do we need to say something what actions to take if a response to a SigComp request is not received?

5) Section 4.3, page 15, 3rd paragraph

"Therefore, the dispatcher is responsible for buffering each SigComp message and passing the data to the UDVM when it is requested. " 

What happens if there is no data to get from the buffer, but the UDVM still anticipates to receive more data for the current SigComp message?

6) Section 7.3, page 25, Figure 9
Where the parameter types are described it would be nice if the address range for reference types were listed, e.g. the 0nnnnnn parameter can address even addresses between 0 and 254. The same applies for the multitype type when used as a reference.

BR
/Hans H

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc